diff package_macs21_wrapper.sh @ 23:c7646ff9b5c9 draft default tip

planemo upload commit a2f39c10087e77bde5b5db5d04305f72b8eb2af2
author pjbriggs
date Tue, 27 Jun 2023 07:37:07 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/package_macs21_wrapper.sh	Tue Jun 27 07:37:07 2023 +0000
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# Package MACS 2.1 files into tgz file for upload to
+# Galaxy toolshed
+#
+VERSION=$(grep "^<tool" macs21_wrapper.xml | grep -o -e version=\".*\" | cut -d= -f2 | tr -d \")
+TGZ=macs21-${VERSION}.tgz
+if [ -f $TGZ ] ; then
+    echo $TGZ: already exists, please remove >&2
+    exit 1
+fi
+tar cvzf $TGZ \
+    README.rst \
+    macs21_wrapper.xml \
+    macs21_wrapper.py \
+    test-data
+if [ -f $TGZ ] ; then
+    echo Created $TGZ
+else
+    echo Failed to created $TGZ >&2
+    exit 1
+fi
+##
+#